jobs:
- job: build
  pool:
    name: Azure Pipelines
    vmImage: 'macOS-10.14'

  steps:
  - task: NodeTool@0
    displayName: 'Use Node 12.11.x'
    inputs:
      versionSpec: 12.x

  - task: geeklearningio.gl-vsts-tasks-yarn.yarn-installer-task.YarnInstaller@3
    displayName: 'Use Yarn 1.19.1'
    inputs:
      versionSpec: 1.19.1

  - task: Bash@3
    displayName: install
    inputs:
      targetType: filePath
      filePath: ./install.sh

  - task: Bash@3
    displayName: 'build_android'
    inputs:
      targetType: filePath
      filePath: './build_android.sh'

  - task: PublishBuildArtifacts@1
    displayName: 'Publish Artifact: drop'
    inputs:
      PathtoPublish: '$(Build.SourcesDirectory)/android/app/build/outputs/bundle/release'
      dependsOn: Job_1
    
- job: deploy
  pool:
    name: Azure Pipelines
    vmImage: 'vs2017-win2016'
    demands: azureps

  steps:
  - task: DownloadBuildArtifacts@0
    displayName: 'Download Build Artifacts'
    inputs:
      downloadType: specific

  - task: AzureFileCopy@3
    displayName: 'AzureBlob File Copy'
    inputs:
      SourcePath: '$(System.ArtifactsDirectory)'
      azureSubscription: 'Free Trial (dfc8cccf-49ae-4ff4-8d00-00b23e8d8c7c)'
      Destination: AzureBlob
      storage: androiddumps
      ContainerName: 'put-files-here'
